Welcome to the Treehouse Community

The Treehouse Community is a meeting place for developers, designers, and programmers of all backgrounds and skill levels to get support. Collaborate here on code errors or bugs that you need feedback on, or asking for an extra set of eyes on your latest project. Join thousands of Treehouse students and alumni in the community today. (Note: Only Treehouse students can comment or ask questions, but non-students are welcome to browse our conversations.)

Looking to learn something new?

Treehouse offers a seven day free trial for new students. Get access to thousands of hours of content and a supportive community. Start your free trial today.

iOS Build a Simple iPhone App with Swift View Controllers and Views Introduction to View Controllers

I have downloaded the most upgrade Xcode, and this material does not match my Xcode. What should I Do??

What can I do solve this problem? why these material are not up to date???

3 Answers

Highly doubt these will be updated as they no longer have a staff iOS Developer - they closed down the iOS Tech Degree last year too and closed it down fully in January. I wouldn't worry too much though - if you Google any issues you have, or post any code that produces errors or can't build here / stackoverflow etc you can still get value out of the content.

I know the IOS courses are outdated, I would say even though it is pretty different, you should not have problem completing this course.

is there any way to update the iOS courses ??

I don't think, maybe we could try to reach treehouse staff.